package ari.networktraffic;

import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.WindowManager;
import android.widget.Toast;

public class TrafficReader extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_traffic_reader);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        // Keep screen on ( thanks http://developer.android.com/training/scheduling/wakelock.html )
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);


        // create and start the data processing thread
        GetData dataProcessor = new GetData(this, new LogCatLogger("TrafficReader")); //new TextViewLogger(this));
        Thread dataThread = new Thread(dataProcessor);
        dataThread.start();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_traffic_reader, menu);

        FloatingActionButton stopButton = (FloatingActionButton) findViewById(R.id.stop);
        stopButton.setOnClickListener(new FloatingActionButton.OnClickListener() {
            public void onClick(View v) {
                GetData.allStop = true; // GetData should stop further processing

                Toast.makeText(v.getContext(), "SETTING STOP FLAG!", Toast.LENGTH_LONG).show();
            }
        });

        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
